# Epidtools
A Python toolkit for analysis, modelling and forecasting Epidemic
## Requirments :
-  Scipy : 1.4.1 + 
-  Numpy : 1.4.1 +
-  scikit-learn
-  pandas
-  statsmodels

## Key features:
* Epidemic outbreak modeling and short-term forecasting using predefined fitted growth functions.
* Estimation of  time-dependent transmission coefficients and efective reproduction number.
* Epidemic dynamics modeling and estimation of transmission epidemiological parameters using the Runge-Kutta initial value problem solver and iterative (limited memory) BFGS optimizer. 
* Epidemic decay dynamics modeling with time dependent contact rate using different decay functions (exp, power, tanh).
* Estimation of effective reproduction number using Kalman filtering techniques directly from the real-time infection data. 

## How to install epitools

> [!IMPORTANT]
> All the dependencies should be installed first.

Epitools can be installed using the following command on terminal:

```
pip install epitool
```

## Tutorials and documentation:
The tutorials can be accessed from [here](https://epitools-docs.readthedocs.io/en/latest/).
